package com.hys.app.converter.erp;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hys.app.model.erp.entity.*;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;
import org.mapstruct.MappingTarget;
import org.mapstruct.factory.Mappers;

@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface CompanyConverter {
    CompanyConverter INSTANCE = Mappers.getMapper(CompanyConverter.class);

    CompanyErp convert(CompanyDO bean);

    void convert(@MappingTarget CompanyErp company , CompanyDO updateDO);

    CompanyVO convert(CompanyErp bean);

    Page<CompanyVO> convert(Page<CompanyErp> bean);
}
